#include <string>		// Standard library to manipulate C strings
#include <exception>
using namespace std;


class TuxLCDException : public exception
{
	private:
		const char *message;
	
	public:
		/**
		 * Constructor.
		 * \param[in] msg
		 */
		TuxLCDException(const char *msg) throw()
		{
			message = msg;
		}
		
		
		/**
		 * Destructor.
		 */
		~TuxLCDException() throw()
		{
		}
		
		
		/**
		 *
		 * \return
		 */
		const char * what() const throw()
		{
			return message;
		}
};
